-- Create EC.ELEMENTS table, index and primary key for it

CREATE TABLE EC.ELEMENTS
  (INTERNALNAME VARCHAR(250) NOT NULL,
   ELEMENTID VARCHAR(250) NOT NULL,
   PARENTID VARCHAR(250),
   NICKNAME VARCHAR(250),
   BASETYPE VARCHAR(250),
   SPECIFICTYPE1 VARCHAR(250),
   CAPACITY VARCHAR(250),
   CAPACITYTYPE VARCHAR(250),
   ISALIVE SMALLINT NOT NULL,
   SUPERPARENTID VARCHAR(250),
   ELEMENTTYPE VARCHAR(250),
   TOTALBYTES DECIMAL(19,0) NOT NULL DEFAULT 0) 
IN CSM.CSMTS;

CREATE UNIQUE INDEX EC.ELEMENTS1       
                 ON EC.ELEMENTS         
                 (ELEMENTID   ASC)      
                 USING STOGROUP DSN8G810
                           PRIQTY 3200
       			   SECQTY 3200     
                           ERASE NO      
                 BUFFERPOOL BP0          
                 CLOSE NO;

ALTER TABLE EC.ELEMENTS
  ADD CONSTRAINT PK_ELEMENTS PRIMARY KEY (ELEMENTID);


-- Commit changes
COMMIT;