-- Create SVCHWL.LSSERVERLOCATIONMAPPING table, index and primary key for it.

CREATE TABLE SVCHWL.LSSERVERLOCATIONMAPPING
  (SERVERLOCATION VARCHAR(250) NOT NULL,
   USERNAME VARCHAR(250),
   PASSWORD VARCHAR(250),
   UNIQUENAME VARCHAR(250),
   NOTIFICATIONPORT INTEGER)
IN CSM.CSMTS;

CREATE UNIQUE INDEX SVCHWL.LSSERVERLOCATIONMAPPING1      
                 ON SVCHWL.LSSERVERLOCATIONMAPPING         
                 (SERVERLOCATION ASC)      
                 USING STOGROUP DSN8G810
                           PRIQTY 3200
       			   SECQTY 3200     
                           ERASE NO      
                 BUFFERPOOL BP0          
                 CLOSE NO;

ALTER TABLE SVCHWL.LSSERVERLOCATIONMAPPING
  ADD CONSTRAINT PK_LSSERVERLOCATI1 PRIMARY KEY (SERVERLOCATION);


-- Create SVCHWL.CLUSTERSERVERMAPPING table, index and primary key for it.

CREATE TABLE SVCHWL.CLUSTERSERVERMAPPING
  (CLUSTERNAME VARCHAR(250) NOT NULL,
   SERVERLOCATION VARCHAR(250) NOT NULL)
IN CSM.CSMTS;

CREATE UNIQUE INDEX SVCHWL.CLUSTERSERVERMAPPING1      
                 ON SVCHWL.CLUSTERSERVERMAPPING         
                 (CLUSTERNAME ASC, SERVERLOCATION ASC)      
                 USING STOGROUP DSN8G810
                           PRIQTY 3200
       			   SECQTY 3200     
                           ERASE NO      
                 BUFFERPOOL BP0          
                 CLOSE NO;

ALTER TABLE SVCHWL.CLUSTERSERVERMAPPING
  ADD CONSTRAINT PK_CLUSTERSERVERM2 PRIMARY KEY (CLUSTERNAME, SERVERLOCATION);


-- Commit changes.
COMMIT; 
