-- Create SVCHWL.LSSERVERLOCATIONMAPPING table, index and primary key for it.

CREATE TABLE SVCHWL.LSSERVERLOCATIONMAPPING_bak
  (SERVERLOCATION VARCHAR(250) NOT NULL,
   USERNAME VARCHAR(250),
   PASSWORD VARCHAR(250),
   UNIQUENAME VARCHAR(250),
   NOTIFICATIONPORT INTEGER)
IN CSM.CSMTS;

CREATE UNIQUE INDEX SVCHWL.LSSERVERLOCATIONMAPPING_bak1      
                 ON SVCHWL.LSSERVERLOCATIONMAPPING_bak         
                 (SERVERLOCATION ASC)      
                 USING STOGROUP DSN8G810
                           PRIQTY 3200
       			   SECQTY 3200     
                           ERASE NO      
                 BUFFERPOOL BP0          
                 CLOSE NO;

ALTER TABLE SVCHWL.LSSERVERLOCATIONMAPPING_bak
  ADD CONSTRAINT PK_LSSERVERLOC_bak PRIMARY KEY (SERVERLOCATION);


-- Create SVCHWL.CLUSTERSERVERMAPPING table, index and primary key for it.

CREATE TABLE SVCHWL.CLUSTERSERVERMAPPING_bak
  (CLUSTERNAME VARCHAR(250) NOT NULL,
   SERVERLOCATION VARCHAR(250) NOT NULL)
IN CSM.CSMTS;

CREATE UNIQUE INDEX SVCHWL.CLUSTERSERVERMAPPING_bak1      
                 ON SVCHWL.CLUSTERSERVERMAPPING_bak         
                 (CLUSTERNAME ASC, SERVERLOCATION ASC)      
                 USING STOGROUP DSN8G810
                           PRIQTY 3200
       			   SECQTY 3200     
                           ERASE NO      
                 BUFFERPOOL BP0          
                 CLOSE NO;

ALTER TABLE SVCHWL.CLUSTERSERVERMAPPING_bak
  ADD CONSTRAINT PK_CLUSTERSERV_bak PRIMARY KEY (CLUSTERNAME, SERVERLOCATION);


-- Commit changes.
COMMIT; 
